// This file defines the different "Sections" of the website. The sections act
// as separate codebases, but hosted as one. This allows me to have
// sub-projects like the file viewer in 'file', or the question answer system
// in 'q+a'. Each section can define configuration, pages, backend routes, and
// contain other files.
const join = (...paths: string[]) => path.join(import.meta.dirname, ...paths);

export const siteSections: Section[] = [
  { root: join(".") },
  { root: join("q+a/") },
  { root: join("file-viewer/") },
  { root: join("friends/") },
  // { root: join("blog/"), pageBase: "/blog" },
  // { root: join("fiction/"), pageBase: "/fiction" },
];

import * as path from "node:path";
import type { Section } from "#sitegen";
